ldapvi_1.7-9_amd64.deb


Advertisement

Description

ldapvi - perform an LDAP search and update results using a text editor

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name ldapvi
Package version 1.7
Package release 9
Package architecture amd64
Package type deb
Installed size 238 B
Download size 76.80 KB
Official Mirror ftp.br.debian.org
From a first glance ldapvi looks like ldapsearch: You search for entries in
the ldap database. But the results get opened in your preferred editor, and
you can change, add or delete entries from there. After you are done you quit
the editor and ldapvi offers you several options: View your changes as LDIF,
commit changes or discard them.

Alternatives

Package Version Architecture Repository
ldapvi_1.7-9_i386.deb 1.7 i386 Debian Main
ldapvi - - -

Requires

Name Value
libc6 >= 2.3
libglib2.0-0 >= 2.12.0
libldap-2.4-2 >= 2.4.7
libncurses5 >= 5.5-5~
libpopt0 >= 1.14
libreadline6 >= 6.0
libtinfo5 -

Download

Type URL
Binary Package ldapvi_1.7-9_amd64.deb
Source Package ldapvi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ldapvi deb package:
    # sudo apt-get install ldapvi

Files

Path
/etc/ldapvi.conf
/usr/bin/ldapvi
/usr/share/doc-base/ldapvi-user-manual
/usr/share/doc/ldapvi/README.Debian
/usr/share/doc/ldapvi/bg.png
/usr/share/doc/ldapvi/changelog.Debian.gz
/usr/share/doc/ldapvi/changelog.gz
/usr/share/doc/ldapvi/copyright
/usr/share/doc/ldapvi/manual.css
/usr/share/doc/ldapvi/manual.html
/usr/share/man/man1/ldapvi.1.gz

Changelog

2013-01-21 - Gerfried Fuchs <rhonda@debian.org>
ldapvi (1.7-9) unstable; urgency=low
* Use fileencoding instead of encoding in vim modeline which makes recent
versions of vim give an error (closes: #688129, #663121)
2011-07-30 - Gerfried Fuchs <rhonda@debian.org>
ldapvi (1.7-8) unstable; urgency=low
* Really change libreadline5-dev to libreadline-dev this time
(closes: #634445). Thanks to Franziska Lichtblau for prodding me.
* Bump Standards-Version to 3.9.2.
* Relicense Debian packaging under WTFPLv2.
2009-11-02 - Gerfried Fuchs <rhonda@debian.at>
ldapvi (1.7-7) unstable; urgency=low
* Change libreadline5-dev to libreadline-dev (closes: #553795)
2009-11-02 - Gerfried Fuchs <rhonda@debian.at>
ldapvi (1.7-6) unstable; urgency=low
* New patch getline-conflict fetched from upstream, renaming the included
getline function to not conflict with glibc's one (closes: #552868)
2009-09-25 - Gerfried Fuchs <rhonda@debian.at>
ldapvi (1.7-5) unstable; urgency=low
* Install doc-base file for the user manual.
* Add "ldap-conf: yes" to /etc/ldapvi.conf so the ldap.conf file is still
read and not disabled just because we switch the otherwise paged help off
(closes: #546602)
* Add DEP3 tags to the patches.
* Upgraded to Standards-Version 3.8.3:
- Add README.source file referencing quilt.
- Support parallel building.
* Switched debianization to BSD style.
* New patch manpage-hyphen which escapes the dashes that aren't meant to be
hyphens.
* Explicitly strip .comment section which install -s doesn't do.
2007-10-17 - Gerfried Fuchs <rhonda@debian.at>
ldapvi (1.7-4) unstable; urgency=low
* Removed Depends on editor, Debian assures itself that there is an editor
available (closes: #444865)
* Switch to using quilt instead of patching directly, split into these
patches:
- disable-libcrypto: disable libcrypto due to bug/licensing isssues
- sensible-editor-pager: use sensible-{editor,pager} instead of vi and
less
- unpaged-help: the posibility to use an unpaged --help output
* Add Homepage: to control file.
* Linked to GPL-2 in copyright file directly, added hint for later versions.
2007-09-16 - Gerfried Fuchs <rhonda@debian.at>
ldapvi (1.7-3) unstable; urgency=low
* Test for GNUmakefile instead of Makefile when cleaning up (closes: #442624)
2007-07-28 - Gerfried Fuchs <rhonda@debian.at>
ldapvi (1.7-2) unstable; urgency=low
* s/less/sensible-pager/: use Debian's pager magic instead of hardcoded
less.
* Pulled patch for unpaged-help config option from upstream and ship
systemwide configuration file that sets it (closes: #424978)
2007-05-20 - Gerfried Fuchs <rhonda@debian.at>
ldapvi (1.7-1) unstable; urgency=low
* New upstream release which includes the buffer overflow fix.
* Updated copyright file with current year list.
* Build manual.html and install only itself and its dependencies.
2007-02-09 - Gerfried Fuchs <alfie@debian.org>
ldapvi (1.6-3) unstable; urgency=high
* Fixed a buffer overflow in home_filename function which was reported to
upstream.

See Also

Package Description
ldb-tools_1.1.20-0+deb8u1_amd64.deb LDAP-like embedded database - tools
ldc_0.14.0.dfsg-1_amd64.deb LLVM D Compiler
ldirectord_3.9.3+git20121009-3.1_all.deb Monitors virtual services provided by LVS
ldm-server_2.2.15-2_all.deb server components for LTSP display manager
ldm-themes_15.01.2_all.deb Collection of themes for the LTSP login manager
ldm_2.2.15-2_amd64.deb LTSP display manager
ldmtool_0.2.3-3_amd64.deb tool for managing Microsoft Windows dynamic disks
ldnsutils_1.6.17-5+b1_amd64.deb ldns library for DNS programming
ldp-docbook-dsssl_0.0.20040321-2_all.deb The Linux Documentation Project's DSSSL stylesheets
ldp-docbook-xsl_0.0.20040321-2_all.deb The Linux Documentation Project's XSL stylesheets
ldtp-doc_2.3.1-1_all.deb Documentation for LDTP packages
ldtp_2.3.1-1_all.deb Linux Desktop Testing Project (LDTP)
le-dico-de-rene-cougnenc_1.3-2.1_amd64.deb the "Dico" by Rene Cougnenc
le_1.14.9-2_amd64.deb Text editor with block and binary operations
leafnode_1.11.10-2_amd64.deb NNTP server for small sites
Advertisement
Advertisement